WSMUXCTL(8) | System Manager's Manual | WSMUXCTL(8)

# NAME

`wsmuxctl` —
configure wsmuxes

# SYNOPSIS

`wsmuxctl` | [`-a` dev] `-f` ctldev [`-l`] [`-L`] [`-r` dev]

# DESCRIPTION

The `wsmuxctl` allows to adding and removing devices connected to a wsmux(4).

Added and removed devices are specified by a name, not a path name. Simply use wsmouseN, wskbdN, or wsmuxN where N is the number of the device.

The options are:

`-a` dev
  Add the specified device to the mux.
`-f` ctldev
  Specify the control device of the wsmux to operate on. A number may be given, which is then taken to be the number of the mux.
`-l`
  List all devices connected to a mux.
`-L`
  List all devices connected to a mux and recursively list mux subdevices.
`-r` dev
  Remove the specified device from the mux.

# SEE ALSO

wsmux(4)

October 13, 2001 | NetBSD 9.4